Description

Something like:{whatever - 1} or {operand1 - operand2} would be great.

A calculation viewhelper would be sufficient as well.

e.g. :
<f:calculate operand1="{something}" operand2="{somethingElse}" operator="-" />

Associated revisions
Revision 60597ab2 - 2010-07-09 13:24 - Bastian Waidelich

[+FEATURE] Added first version of a CalculationViewHelper (Package). Relates to #7653

History
#1 - 2010-05-28 09:47 - Christian Müller
- Category set to ViewHelpers
- Assigned To set to Christian Müller

#2 - 2010-07-02 03:00 - Christian Müller
- File CalculationViewHelper.php added
- % Done changed from 0 to 20

first version upload, drop into Fluid/Classes/ViewHelpers/ and see comments in file for examples.
IMPORTANT: This file is made for FLOW3, should be easy to adapt for TYPO3 4.x with fluid but will not run out of the box.

#3 - 2010-07-02 08:59 - Christian Müller
- File CalculationViewHelper.php added
- File CalculationViewHelperTest.php added

Cleanup version with FLOW3 basic testcase

#4 - 2010-07-02 08:59 - Christian Müller
- File deleted (CalculationViewHelper.php)

#5 - 2010-07-09 16:48 - Bastian Waidelich
- Tracker changed from Feature to Suggestion
- Project changed from TYPO3.Fluid to Fluid - ViewHelper - Incubator
- Category deleted (ViewHelpers)

#6 - 2010-07-09 17:53 - Christian Müller
- Status changed from New to Accepted

#7 - 2010-07-12 13:13 - Bastian Waidelich
- Subject changed from Add basic calculation capabilities. to calculation

#8 - 2010-07-22 12:44 - Bastian Waidelich
- Assigned To changed from Christian Müller to Bastian Waidelich

#9 - 2010-07-22 12:52 - Bastian Waidelich
- Status changed from Accepted to Resolved
- Assigned To changed from Bastian Waidelich to Christian Müller

The ViewHelper is now part of the Incubator distribution (v4 & v5)

#10 - 2010-12-07 12:30 - Simon Schaufelberger
- Assigned To changed from Christian Müller to Bastian Waidelich

Bastian Waidelich wrote:

The ViewHelper is now part of the Incubator distribution (v4 & v5)

Hi Bastian ,
I was searching for that viewhelper in TYPO3 4.4.4 but i cannot find it. Where is it hidden?
This Viewhelper should also go into the fluid package of TYPO3! Please before the release of TYPO3 4.5 so that it comes with 4.5!

#11 - 2010-12-07 17:41 - Bastian Waidelich

Simon Schaufelberger wrote:

The ViewHelper is now part of the Incubator distribution (v4 & v5)

I was searching for that viewhelper in TYPO3 4.4.4 but i cannot find it. Where is it hidden?

Hi Simon.
What do you mean? The Calculation ViewHelper is part of the Incubator distribution. See 
http://forge.typo3.org/projects/package-viewhelperincubator/wiki/Fluid_ViewHelper_Incubator
It won't be part of the Fluid core for now.

Files
CalculationViewHelper.php 6.5 kB 2010-07-02 Christian Müller
CalculationViewHelperTest.php 2.4 kB 2010-07-02 Christian Müller
